4 Replies Latest reply: Jul 27, 2012 2:51 PM by Pancenter
Digby909 Level 1 Level 1 (0 points)

Hello - Can I use Logic Pro 9 on an older iMac with OS 10.5.8? Thx.


Logic Pro, Mac OS X (10.5.8)